<style>#sortable { list-style-type: none; margin: 0; padding: 0; width: 100%; }#sortable li span { position: absolute; margin-left: -1.3em;}</style>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<div class="card card-small my-4">
<div class="card-body">
<div class="p-0 container">
    <form action="" method="post" class="ajaxForm" data-redirect="<?php echo base_url("menu"); ?>" data-menu="1">
    <div class="row">
        <div class="col-md-6">
        <span class="font-weight-light"><?php echo lang("Settings.facebook_url"); ?>:</span>
        <div class="input-group my-2">
        <input type="text" class="form-control" name="facebook_url" value="<?php echo htmlspecialchars(facebook_url); ?>">
        </div>
        </div>
        <div class="col-md-6">
        <span class="font-weight-light"><?php echo lang("Settings.twitter_url"); ?>:</span>
        <div class="input-group my-2">
        <input type="text" class="form-control" name="twitter_url" value="<?php echo htmlspecialchars(twitter_url); ?>">
        </div>
        </div>
        <div class="col-md-6">
        <span class="font-weight-light"><?php echo lang("Settings.instagram_url"); ?>:</span>
        <div class="input-group my-2">
        <input type="text" class="form-control" name="instagram_url" value="<?php echo htmlspecialchars(instagram_url); ?>">
        </div>
        </div>
        <div class="col-md-6">
        <span class="font-weight-light"><?php echo lang("Settings.linkedin_url"); ?>:</span>
        <div class="input-group my-2">
        <input type="text" class="form-control" name="linkedin_url" value="<?php echo htmlspecialchars(linkedin_url); ?>">
        </div>
        </div>
    </div>
    <span class="font-weight-light"><?php echo lang("Settings.menu_items"); ?>:</span>
    <ul id="sortable">
    <li class="d-none ui-state-default border rounded p-0">
    <div class="w-100 bg-white p-3 rounded-top d-flex align-items-center"><small class="col p-0"><b><?php echo lang("Settings.menu_item"); ?></b></small><i style="cursor:pointer" data-toggle="collapse" href="#widget0" role="button" aria-expanded="false" aria-controls="widget0" class="float-right material-icons">expand_more</i><i style="cursor:pointer;vertical-align:bottom;position:inherit!important;" onclick="$(this).parent().parent().remove();" class="float-right material-icons">close</i></div>
    <div id="widget0" class="collapse px-3 pt-1 pb-3">
    <small><?php echo lang("Settings.menu_item_title"); ?>:</small>
    <input type="text" class="form-control" class="title">
    <small><?php echo lang("Settings.menu_item_url"); ?>:</small>
    <input type="text" class="form-control" class="url">
    </div>
    </li>
    <?php $menu_items = json_decode(menu, true);
    for($i = 0; $i < count($menu_items); $i++): ?>
    <li class="ui-state-default border rounded p-0">
    <div class="w-100 bg-white p-3 rounded-top d-flex align-items-center"><small class="col p-0"><b><?php echo lang("Settings.menu_item"); ?></b></small><i style="cursor:pointer" data-toggle="collapse" href="#widget<?php echo $i+1; ?>" role="button" aria-expanded="false" aria-controls="widget0" class="float-right material-icons">expand_more</i><i style="cursor:pointer;vertical-align:bottom;position:inherit!important;" onclick="$(this).parent().parent().remove();" class="float-right material-icons">close</i></div>
    <div id="widget<?php echo $i+1; ?>" class="collapse px-3 pt-1 pb-3">
    <small><?php echo lang("Settings.menu_item_title"); ?>:</small>
    <input type="text" class="form-control" value="<?php echo htmlspecialchars($menu_items[$i]["title"]); ?>">
    <small><?php echo lang("Settings.menu_item_url"); ?>:</small>
    <input type="text" class="form-control" value="<?php echo htmlspecialchars($menu_items[$i]["link"]); ?>">
    </div>
    </li>
    <?php endfor; ?>
    </ul>
    <button class="btn btn-success text-white mt-2" type="submit"><?php echo lang("Common.save"); ?></button>
    <button class="btn btn-warning text-white mt-2" id="addItem" type="button"><?php echo lang("Settings.add_menu_item"); ?></button>
    </form>
</div>
</div>
</div>
<script>
  $(function() {
    $("#sortable").sortable();
    $("#sortable").disableSelection();
    $('#addItem').click(function() {
        var id = $("#sortable li").length;
        var h = $("#sortable li:eq(0)").html();
        h = h.replace(/widget0/g, "widget"+id);
        $("#sortable").append("<li class='ui-state-default border rounded p-0'>"+h+"</li>");  
    });
  });
</script>