<div class="p-0 container mt-4">
<div class="row">
<div class="col">
<div class="card card-small mb-4">
<div class="card-body p-3">
    <form action="" method="post" class="ajaxForm" data-redirect="<?php echo base_url("domains/".$domain["id"]); ?>">
        <div class="row">
            <div class="col-md-6">
            <span class="font-weight-normal"><?php echo lang("Common.domain_name"); ?>:</span>
            <div class="input-group">
                <input required type="text" class="form-control" name="domain" value="<?php echo $domain["name"]; ?>" pattern="^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6}$">
            </div>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-md-6">
            <span class="font-weight-normal"><?php echo lang("Common.selling_type"); ?>:</span>
            <div class="input-group">
                <select required name="selling_type" class="form-control">
                    <option value="0" <?php echo $domain["price"] == 0 ? "selected" : ""; ?>><?php echo lang("Common.by_offer"); ?></option>
                    <option value="1" <?php echo $domain["price"] != 0 ? "selected" : ""; ?>><?php echo lang("Common.by_price"); ?></option>
                </select>
            </div>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-md-6">
            <span id="pText" class="font-weight-normal" data-price="<?php echo lang("Common.price"); ?>"><?php echo lang("Common.min_offer"); ?>:</span>
            <div class="input-group">
                <input required type="number" class="form-control" name="price" value="<?php echo $domain["price"] != 0 ? $domain["price"] : $domain["min_offer"]; ?>">
            </div>
            </div>
        </div>
        <button type="submit" class="mt-3 mb-2 btn btn-primary"><?php echo lang("Common.submit"); ?></button>
    </form>
</div>
</div>
</div>
</div>
</div>
<script>
    var t = $("#pText").text();
    $("select[name=selling_type]").on("change", function() {
        if($("select[name=selling_type]").val() == "0") {
            $("#pText").text(t);
        }
        else {
            $("#pText").text($("#pText").data("price")+":");
        }
    });
    $("select[name=selling_type]").change();
</script>