$(document).ready(function(){
    AOS.init({
        once: true
    });       
    var sp = 0;
    $(document).scroll(function() { 
        sp = $(this).scrollTop();
        if(sp > 70) {
            $(".navbar").addClass("bg-primary");
        } else {
            $(".navbar").removeClass("bg-primary");
        }
    });
    $("#offerButton").click(function() {
        $("html, body").animate({
            scrollTop: parseInt($("#offerForm").offset().top)
        }, 1500);
    });
    $(".ajaxForm").submit(function(e) {
        e.preventDefault();
        var form = $(this);
        var url = $(this).attr("action");
        var loading = swal({
            content: {
                element: "img",
                attributes: {
                    src: "assets/img/loader.gif",
                    width: "50"
                }
            },
            heightAuto: false,
            closeOnEsc: false,
            button: false,
            closeOnClickOutside: false,
            className: "swal-loading"
        });
        $(".swal-loading").css("width","auto");
		$.ajax({
			type: $(this).attr("method"),
			url: url,
			data: $(this).serialize(),
			success: function(data)
			{
                swal.close();
                $(".swal-loading").css("width","");
				if(data.success) {
                    form.trigger("reset");
                    try{window.grecaptcha.reset();}catch(e){}
					swal(data.title,data.message,"success");
				}
				else {
					swal(data.title,data.message,"error");
				}
			}
			});
    });
    $(document).scroll();
	feather.replace();
});